Page MenuHomePhabricator

"Nominated for deletion" filter doesn't work
Closed, ResolvedPublic

Description

The filter is based on ptrp_deleted but that field doesn't get updated when deletion tags are detected.

The icon, however, is not based on that field but on the presence of any of the 4 deletion tags, and it works as expected.

Event Timeline

SBisson created this task.Aug 22 2018, 8:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2018, 8:26 PM

Change 454646 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Update 'ptrp_deleted' when any of the deletion category is present

https://gerrit.wikimedia.org/r/454646

Change 454646 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Update 'ptrp_deleted' when any of the deletion category is present

https://gerrit.wikimedia.org/r/454646

It seems that in betalabs it's not possible to use 'Mark for deletion' options from Curation toolbar. The non-existing templates (as red links) are added without any effect. Also, the message "Log page for today has not been created yet" appears now not only in betalabs but in testwiki too.

I checked this issue fix by adding manually the following template: Template:Article for deletion/dated. The ptrp_deleted value does get updated in pagetriage_page (along with ptrpt_value for ptrpt_tag_id in pagetriage_page_tag table.

The problem with manually added template is that the article will be in 'Unreviewed' and 'Nominated for deletion' while in the correct Page curation workflow, it should be in 'Reviewed' and 'Nominated for deletion'.

Etonkovidova closed this task as Resolved.Aug 24 2018, 4:29 PM
MMiller_WMF added a comment.EditedAug 29 2018, 9:58 PM

@SBisson @Etonkovidova -- I feel like I'm not seeing this fix in English Wikipedia production. Whether or not I have the "Nominated for deletion" filter selected, I see the same number of articles, and I see a deletion icon in the list. @Etonkovidova, could you double check?

Without filter selected:

With filter selected:

@SBisson @Etonkovidova -- I feel like I'm not seeing this fix in English Wikipedia production. Whether or not I have the "Nominated for deletion" filter selected, I see the same number of articles, and I see a deletion icon in the list. @Etonkovidova, could you double check?

The bug here was that the state was not properly updated when pages were nominated for deletion. Fixing the code that updates the state does not retroactively fix the state of old pages unless they are edited.

I can write a maintenance script to go back and update the state of all the pages in the queue where it doesn't appear to be correct. I'm putting it back to "in progress" and I'll do it tomorrow morning.

SBisson reopened this task as Open.Aug 29 2018, 11:04 PM

Change 456364 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Maintenance: fix ptrp_deleted

https://gerrit.wikimedia.org/r/456364

Thanks @SBisson -- will this change be in the train on Tuesday, or since it's a maintenance script, will it run before then?

Thanks @SBisson -- will this change be in the train on Tuesday, or since it's a maintenance script, will it run before then?

The original fix was deployed to enwiki yesterday. You can already see pages fixing their "nominated for deletion" status when being edited. At the time of writing this, I see 22597 pages for (unreviewed, reviewed) vs. 22602 pages for (unreviewed, reviewed, nominated for deletion).

The maintenance script should be merged today and executed early next week on both testwiki and enwiki.

I'll report back here when it's all done so it can be tested.

Change 456364 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Maintenance: fix ptrp_deleted

https://gerrit.wikimedia.org/r/456364

Etonkovidova closed this task as Resolved.Sep 4 2018, 8:00 PM

I checked enwiki (wmf.19) - I do not see the case that @MMiller_WMF described in the comment above. Pages that are Nominated for deletion (ptrp_deleted) are not present when 'Reviewed' or 'Unreviewed' filters (without 'Nominated for deletion') are selected.

Change 458073 had a related patch set uploaded (by Catrope; owner: Sbisson):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.20] Maintenance: fix ptrp_deleted

https://gerrit.wikimedia.org/r/458073

Change 458073 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.20] Maintenance: fix ptrp_deleted

https://gerrit.wikimedia.org/r/458073

Mentioned in SAL (#wikimedia-operations) [2018-09-04T23:34:09Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.20/extensions/PageTriage/maintenance/: Add new maintenance script to fix deleted flag in PageTriage (T202582) (duration: 00m 58s)

Change 458166 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.19] Maintenance: fix ptrp_deleted

https://gerrit.wikimedia.org/r/458166

I executed the script to fix the data on testwiki.

I plan to run it on enwiki later today.

Change 458166 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.19] Maintenance: fix ptrp_deleted

https://gerrit.wikimedia.org/r/458166

Mentioned in SAL (#wikimedia-operations) [2018-09-05T16:30:12Z] <thcipriani@deploy1001> Synchronized php-1.32.0-wmf.19/extensions/PageTriage/maintenance/FixNominatedForDeletion.php: SWAT: [[gerrit:458166|Maintenance: fix ptrp_deleted]] T202582 (duration: 00m 57s)

I've run the script to fix the data on enwiki